Bug 1032333 - (Client_push_non_utf8) RFE: Client should be able to push non utf8 encoding .po files
RFE: Client should be able to push non utf8 encoding .po files
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On:
Blocks: Client_pull_non_utf8 1124615
  Show dependency treegraph
 
Reported: 2013-11-19 20:53 EST by Ding-Yi Chen
Modified: 2015-07-28 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 22:49:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-11-19 20:53:17 EST
Description of problem:
Some existing projects have po files that are not in utf8 encoding.
e.g. ja.po in GNU Tar 1.26 is in EUC-JP


Version-Release number of selected component (if applicable):
org.zanata:zanata-maven-plugin:3.1.2

How reproducible:
Always

Steps to Reproduce:
1. Create project and version for gnu tar
2. mvn -e zanata:push
3. mvn -e zanata:push -Dzanata.pushType=trans -Dzanata.locales=ja


Actual results:
[ERROR] . unsupported charset in Content-Type: text/plain; charset=EUC-JP
[ERROR] -> [Help 1]

Expected results:
push successfully


Additional info:
Comment 1 Ding-Yi Chen 2014-08-06 20:25:00 EDT
List of possible encoding generate by msginit default:

ASCII
BIG5
BIG5-HKSCS
CP1251
CP1255
EUC-JP
EUC-KR
GB2312
GEORGIAN-PS
ISO-8859-1
ISO-8859-13
ISO-8859-14
ISO-8859-15
ISO-8859-2
ISO-8859-3
ISO-8859-5
ISO-8859-6
ISO-8859-7
ISO-8859-8
ISO-8859-9
KOI8-T
KOI8-U
TIS-620
UTF-8
Comment 3 Damian Jansen 2015-07-13 20:21:37 EDT
Reassigned to PM
Comment 4 Zanata Migrator 2015-07-28 22:49:57 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-221

Note You need to log in before you can comment on or make changes to this bug.